Subject: Re: [Unbearable] Should Token Binding support non-TLS applications?

From: =JeffH <[email-masked]>
Date: Wed, 27 Jan 2016 19:34:02 -0800

Howdy,

I've been reviewing the three tokbind I-Ds (fyi/fwiw)....and in response to 
this older thread...

on Fri, 18 Sep 2015 19:05:30 +0000 Andrei Popov <[email-masked]> 
wrote:

 > QUIC's use of TB will require a separate specification with their own
 > TB parameters negotiation mechanism, and their own binding method
 > (analogous to EKM for TLS).

ISTM at this time that draft-ietf-tokbind-protocol-04 needs a bit of work in 
order to make it truly agnostic wrt the underlying transport protocol (i.e., 
TLS or QUIC or whatever).

I'll attempt to point out such issues in my review, which I'll try to get 
sent to the list either this week or next.

=JeffH